Skip to main content
GET

Authorizations

X-API-Key
string
header
required

Path Parameters

flowId
string
required

Flow ID.

Example:

"flow-1"

Response

200 - application/json

Successfully retrieved the flow.

Represents a WhatsApp Flow.

id
string

Flow ID.

Example:

"flow-1"

name
string

Flow name.

Example:

"My first flow"

status
enum<string>

Status of the WhatsApp Flow.

  • DRAFT: The Flow is in draft state and can be modified.
  • PUBLISHED: The Flow is published and cannot be modified.
  • DEPRECATED: The Flow is deprecated and cannot be used.
Available options:
DRAFT,
PUBLISHED,
DEPRECATED
categories
enum<string>[]

Flow categories.

Category of the WhatsApp Flow.

  • SIGN_UP: For sign-up processes.
  • SIGN_IN: For sign-in processes.
  • APPOINTMENT_BOOKING: For booking appointments.
  • LEAD_GENERATION: For lead generation.
  • CONTACT_US: For contact forms.
  • CUSTOMER_SUPPORT: For customer support.
  • SURVEY: For surveys.
  • OTHER: For other purposes.
Available options:
SIGN_UP,
SIGN_IN,
APPOINTMENT_BOOKING,
LEAD_GENERATION,
CONTACT_US,
CUSTOMER_SUPPORT,
SURVEY,
OTHER
whatsappBusinessAccount
object

WhatsApp Business Account information.

validationErrors
object[]

List of validation errors.

jsonVersion
string

Version of the Flow JSON structure.

Example:

"3.0"

dataApiVersion
string

Version of the Data API.

Example:

"3.0"

endpointUri
string

The endpoint URI for the Flow.

Example:

"https://example.com/flow-endpoint"